=== debian/changelog ===
rock-master-20.01-slam-maps (0.20191118-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/envire/slam-maps.git
  * branch: refs/heads/master
  * commit: 52feb1124f86f05d65e96af2d5833749c5f6b0d1
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Mon, 24 Feb 2020 14:11:12 +0100
