=== debian/control ===
Source: rock-master-20.01-slam-maps
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libboost-dev, libboost-filesystem-dev, libboost-graph-dev, libboost-iostreams-dev, libboost-program-options-dev, libboost-regex-dev, libboost-serialization-dev, libboost-system-dev, libboost-thread-dev, libcgal-dev, libgdal-dev, libpcl-dev, rock-master-20.01-base-boost-serialization, rock-master-20.01-base-cmake, rock-master-20.01-base-numeric, rock-master-20.01-base-types, rock-master-20.01-gui-osgviz, rock-master-20.01-gui-vizkit3d
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-slam-maps
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-boost-serialization, rock-master-20.01-base-cmake, rock-master-20.01-base-numeric, rock-master-20.01-base-types, rock-master-20.01-gui-osgviz, rock-master-20.01-gui-vizkit3d, cmake, libpcl-dev, libboost-dev, libboost-graph-dev, libboost-program-options-dev, libboost-regex-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-system-dev, libboost-serialization-dev, libcgal-dev, libgdal-dev
Description: Standard Maps library
 Standard Maps library following the IEEE 1873 standard for mapa data representation with extensions (i.e: MLS, 3D, Operators, etc..)
